# Class CloseEvent

Object
EventObject
StoreEvent
CascadedStoreEvent<CloseEvent>
CloseEvent

All Implemented Interfaces:
  `Serializable`, `Localized`

public class CloseEvent extends CascadedStoreEvent<CloseEvent>
Notifies listeners that a resource or a data store is being closed and should no longer be used. Firing a `CloseEvent` on a parent resource (typically a data store) automatically fires a `CloseEvent` in all children resources. See `CascadedStoreEvent` javadoc for more information.

Since:
  1.3
See Also:
  - `StoreListeners​.close()`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CloseEvent(Resource source)`
  Constructs an event for a resource that has been closed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected CloseEvent`
  `forSource(Resource child)`
  Creates a new event of the same type as this event but with a different source.

  ### Methods inherited from class StoreEvent

  `consume, getLocale, getSource, isConsumed`

  ### Methods inherited from class EventObject

  `toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CloseEvent

    public CloseEvent(Resource source)
    Constructs an event for a resource that has been closed.
    Parameters:
      `source` - the resource which has been closed.
    Throws:
      `IllegalArgumentException` - if the given source is null.

- ## Method Details

  - ### forSource

    protected CloseEvent forSource(Resource child)
    Creates a new event of the same type as this event but with a different source.
    Specified by:
      `forSource` in class `CascadedStoreEvent<CloseEvent>`
    Parameters:
      `child` - the child resource for which to create the event to cascade.
    Returns:
      an event of the same type as this event but with the given resource.